import { KeyType } from "./types.js";
/**
 * Convert a base64 public key to a DID (did:key).
 */
export declare function publicKeyToDid(publicKey: string, type: KeyType): string;
/**
 * Convert a DID (did:key) to a base64 public key.
 */
export declare function didToPublicKey(did: string): {
    publicKey: string;
    type: KeyType;
};
